Subject: Ticket Assigned - Delivery
From: Max <[email-masked]>
To: [email-masked]
Date: Mon, 13 Feb 2023 02:31:36 +0000

Hi Hamza Nomani,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Very very disappointed by your delivery service this time! My order number is 9414148176. My items were supposed to have been delivered yesterday on the 11th of Feb. Today is the 12th and it’s 9.00 at night and there is no information about the whereabouts of my items. I have called THRICE and everytime been told ‘ we will raise the issue ‘ but clearly no issue is raised and I have to keep calling and keep checking. There is no tracking of my items and even the people from the call centre don’t know how to connect to the courier people. Atleast when it is YOUR fault, the least you can do is send in your own driver and get it collected from the warehouse and delivered to the aforementioned location. Especially when you know the customer has called multiple times to check on the item which was promised to have been delivered a day before. So so disappointed by your service! Problem is, your online collection is not the same as the store collection. So I can’t get all the sizes I need in any store that I can personally go and collect from. And neither are YOU taking any responsibility to deliver the items to me. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5701975